<?php

declare(strict_types=1);

/**
 * Created by Aurélien RICHAUD (23/05/2018 17:03)
 */
class Order extends OrderCore
{
    /**
     * @return array<int, array<string, mixed>>
     */
    public function getHistoryWS(): array
    {
        return $this->getHistory(1);
    }

    public function getWebserviceParameters($ws_params_attribute_name = null)
    {
        $resource_parameters = parent::getWebserviceParameters($ws_params_attribute_name);

        $resource_parameters['fields']['date_add']['setter'] = false;

        return $resource_parameters;
    }
}
